Bug 13951 - Correct L10n of country-name dz_BT
Summary: Correct L10n of country-name dz_BT
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.15
: P2 normal
Target Milestone: ---
Assignee: Andreas Jaeger
URL:
Keywords:
Depends on:
Blocks: 13237
  Show dependency treegraph
 
Reported: 2012-04-06 04:21 UTC by Chris Leonard
Modified: 2014-06-25 11:21 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
l10n fix (485 bytes, patch)
2012-04-06 04:21 UTC, Chris Leonard
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Leonard 2012-04-06 04:21:13 UTC
Created attachment 6322 [details]
l10n fix

Patch attached.

Country-name field of LC_ADDRESS should be in Dzongkha, not English

% BHU
country_name  "<U0042><U0048><U0055>"

should be:

% འབྲུག།
country_name "<U0F60><U0F56><U0FB2><U0F74><U0F42><U0F0D>"


Reference: lang-dz ISO-3166 L10n

http://anonscm.debian.org/gitweb/?p=iso-codes/iso-codes.git;a=blob;f=iso_3166/dz.po;h=8993c64985105597628d0528346fca4bb935de2e;hb=HEAD#l186


This is one of a number of such country-name corrections first identified in:
http://sourceware.org/bugzilla/show_bug.cgi?id=13237

pinging listed locale maintainer

% Author:    Pema Geyleg
% Contact:   Sherubtse College, Kanglung Bhutan; Pablo Saratxaga
% E-mail:    pema_geyleg@druknet.bt; pablo@mandrakesoft.com
Comment 1 Chris Leonard 2012-04-06 06:27:45 UTC
Notice received of permanent e-mail failure to pema_geyleg@druknet.bt

dz_BT may need another locale maintainer
Comment 2 Chris Leonard 2012-06-27 04:30:20 UTC
Can this patch please be landed?
Comment 3 Chris Leonard 2012-11-20 23:49:04 UTC
Placed in WAITING status until I can get a definitive answer to the questions raised on libc-alpha.
Comment 4 Chris Leonard 2012-12-23 13:27:03 UTC
After a thoughtful and welcome discussion on libc-alpha, 

thread start:
http://sourceware.org/ml/libc-alpha/2012-11/msg00439.html

a contact from the Dzongkha Development Commission was able to resolve some uncertainties about the proper representation of the countryname "Bhutan" in Dzongkha

http://sourceware.org/ml/libc-alpha/2012-12/msg00321.html

Per that e-mail, 

"The short (abbreviated) name of Bhutan is simply འབྲུག (U+0F60 U+0F56 U+0FB2 U+0F74 U+0F42) "

"as to the question of whether to put U+0F0B or U+0F0D on the end:

 - if you are concatenating the string with other Dzongkha (or Tibetan
words) you would probably need U+0F0B.
- if the string occurs at the end of a phrase or sentence you use U+0F0D
- if the string occurs alone you can either leave it as it is - or add U+0F0D"

Given it's appearance in the LC_ADDRESS field, the most common usage is presumed to be in postal addressing, not in concatenation with other words.  

Therefore, the patch as originally submitted is in correct form (it includes the U+0F0D character at the end).

Unless further discussion is indicated on whether or not an LC_ADDRESS countryname can be presumed to be a stand-alone or terminal element, I would respectfully request commit of the patch as submitted.
Comment 5 Chris Leonard 2012-12-23 18:58:49 UTC

Should a ChangeLog patch also be provided or will that be addressed by the committer?


2012-12-23  Chris Leonard  <cjl@sugarlabs.org>

	[BZ #13951]
	* locales/dz_BT: Correct LC_ADDRESS countryname for Bhutan in Dzongkha
Comment 6 Chris Leonard 2012-12-27 06:39:20 UTC
commit at same time as 

http://sourceware.org/bugzilla/show_bug.cgi?id=14982
Comment 7 Andreas Jaeger 2013-01-03 09:03:43 UTC
Thanks, fixed for glibc 2.18 with commit:
commit 39c7ba23f06865674a64ba9b9ee84ad2e1e599cd
Author: Chris Leonard <cjl@sugarlabs.org>
Date:   Thu Jan 3 09:54:56 2013 +0100

    Correct LC_ADDRESS countryname for Bhutan in Dzongkha
    
        [BZ #13951]
        * locales/dz_BT: Correct LC_ADDRESS countryname for Bhutan in
        Dzongkha.